listFiles
List files for bot
GET
/v1/filesAuthorization
AuthorizationBearerrequiredBearer authentication header of the form
Bearer <token>, where <token> is your auth token.Header parameters
x-bot-idstringrequiredBot id
x-integration-idstringIntegration id
x-integration-aliasstringIntegration alias
x-integration-namestringIntegration name
x-user-idstringUser Id
x-user-rolestringUser Role
Query parameters
nextTokenstringProvide the
meta.nextToken value provided in the last API response to retrieve the next page of resultssortFieldenum<string>Sort results by this field
Available options:
key,size,createdAt,updatedAt,statussortDirectionenum<string>Sort results in this direction
Available options:
asc,desctagsanyFilter files by tags. Tags should be passed as a URL-encoded JSON object of key-value pairs that must be present in the tags of a file. An array of multiple string values for the same key are treated as an OR condition. To exclude a value, express it as an object with a nested
not key with the string or string-array value(s) to exclude.idsstring[]Filter files by IDs.
indexedbooleanFilter files by indexing state
Response
application/jsonReturns the list of files related to the bot.
The response is of type listFilesResponse · object.
filesobject[]requiredmetaobjectrequired